﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridComboEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            table = new DataTable();

            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(double));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(false, "Indocin", 12.3, DateTime.Now);
            table.Rows.Add(true, "Enebrel", 18, DateTime.Now);
            table.Rows.Add(false, "Hydralazine", 34.6, DateTime.Now);
            table.Rows.Add(true, "Combivent", 34, DateTime.Now);
            table.Rows.Add(false, "Dilantin", 789, DateTime.Now);

            this.DataContext = table.DefaultView;
        }

        private void xamDataGrid1_EditModeStarting(object sender, Infragistics.Windows.DataPresenter.Events.EditModeStartingEventArgs e)
        {
            if (!CellValuePresenter.FromCell(e.Cell).Record.IsAddRecord)
            {
                e.Cancel = true;
            }
        }

    }
}
